"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * @module layouts
 */
/** */
var inspectUtils_1 = require("../utils/inspectUtils");
var timestampLevelAndCategory_1 = require("../utils/timestampLevelAndCategory");
var logColors_1 = require("../constants/logColors");
var layout_1 = require("../decorators/layout");
var BaseLayout_1 = require("../class/BaseLayout");
var ColoredLayout = /** @class */ (function (_super) {
    tslib_1.__extends(ColoredLayout, _super);
    function ColoredLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * colouredLayout - taken from masylum's fork.
     * same as basicLayout, but with colours.
     */
    ColoredLayout.prototype.transform = function (loggingEvent, timezoneOffset) {
        var index = loggingEvent.level.toString();
        return timestampLevelAndCategory_1.timestampLevelAndCategory(loggingEvent, logColors_1.LOG_COLORS[index], timezoneOffset) + inspectUtils_1.formatLogData(loggingEvent.data);
    };
    ColoredLayout = tslib_1.__decorate([
        layout_1.Layout({ name: "colored" })
    ], ColoredLayout);
    return ColoredLayout;
}(BaseLayout_1.BaseLayout));
exports.ColoredLayout = ColoredLayout;
//# sourceMappingURL=ColoredLayout.js.map