"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var inspectUtils_1 = require("../utils/inspectUtils");
var timestampLevelAndCategory_1 = require("../utils/timestampLevelAndCategory");
var BaseLayout_1 = require("../class/BaseLayout");
var layout_1 = require("../decorators/layout");
var BasicLayout = /** @class */ (function (_super) {
    tslib_1.__extends(BasicLayout, _super);
    function BasicLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * BasicLayout is a simple layouts for storing the logs. The logs are stored
     * in following format:
     * <pre>
     * [startTime] [logLevel] categoryName - message\n
     * </pre>
     *
     * @author Stephan Strittmatter
     */
    BasicLayout.prototype.transform = function (loggingEvent, timezoneOffset) {
        return timestampLevelAndCategory_1.timestampLevelAndCategory(loggingEvent, undefined, timezoneOffset) + inspectUtils_1.formatLogData(loggingEvent.data);
    };
    BasicLayout = tslib_1.__decorate([
        layout_1.Layout({ name: "basic" })
    ], BasicLayout);
    return BasicLayout;
}(BaseLayout_1.BaseLayout));
exports.BasicLayout = BasicLayout;
//# sourceMappingURL=BasicLayout.js.map