"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module layouts
 */
/** */
var Util = require("util");
var semver = require("semver");
function wrapErrorsWithInspect(items) {
    return items.map(function (item) {
        if ((item instanceof Error) && item.stack) {
            return {
                inspect: function () {
                    return semver.satisfies(process.version, ">=6") ? Util.format(item) : Util.format(item) + "\n" + item.stack;
                }
            };
        }
        return item;
    });
}
exports.wrapErrorsWithInspect = wrapErrorsWithInspect;
function formatLogData(logData) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var _a;
    var data = logData;
    if (!Array.isArray(data)) {
        data = [data].concat(args);
    }
    data = wrapErrorsWithInspect(data);
    return (_a = Util).format.apply(_a, data);
}
exports.formatLogData = formatLogData;
//# sourceMappingURL=inspectUtils.js.map